### ip::bad_address_cast

Thrown to indicate a failed address conversion.

    class bad_address_cast :
      public std::bad_cast

##### Member Functions

Name | Description
--- | ---
bad_address_cast [constructor] | Default constructor. — Copy constructor.
what | Get the message associated with the exception.
~bad_address_cast [destructor] | Destructor.

##### Requirements

Header: `asio/ip/bad_address_cast.hpp`

Convenience header: `asio.hpp`